"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const wotan_1 = require("@fimbul/wotan");
const inversify_1 = require("inversify");
const formatter_loader_1 = require("./src/formatter-loader");
exports.TslintFormatterLoaderHost = formatter_loader_1.TslintFormatterLoaderHost;
const rule_loader_1 = require("./src/rule-loader");
exports.TslintRuleLoaderHost = rule_loader_1.TslintRuleLoaderHost;
const line_switches_1 = require("./src/line-switches");
exports.TslintLineSwitchParser = line_switches_1.TslintLineSwitchParser;
const configuration_provider_1 = require("./src/configuration-provider");
exports.TslintConfigurationProvider = configuration_provider_1.TslintConfigurationProvider;
function createModule() {
    return new inversify_1.ContainerModule((bind) => {
        bind(wotan_1.FormatterLoaderHost).to(formatter_loader_1.TslintFormatterLoaderHost);
        bind(wotan_1.RuleLoaderHost).to(rule_loader_1.TslintRuleLoaderHost);
        bind(wotan_1.LineSwitchParser).to(line_switches_1.TslintLineSwitchParser);
        bind(wotan_1.ConfigurationProvider).to(configuration_provider_1.TslintConfigurationProvider);
    });
}
exports.createModule = createModule;
//# sourceMappingURL=index.js.map